org.optaplanner.core.config.localsearch.decider.acceptor

## Enum AcceptorType

- java.lang.Object
- - java.lang.Enum<AcceptorType>
  - - org.optaplanner.core.config.localsearch.decider.acceptor.AcceptorType

- All Implemented Interfaces:
    Serializable, Comparable<AcceptorType>

      public enum AcceptorType
      extends Enum<AcceptorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTITY_TABU`
    `GREAT_DELUGE`
    `HILL_CLIMBING`
    `LATE_ACCEPTANCE`
    `MOVE_TABU`
    `SIMULATED_ANNEALING`
    `SOLUTION_TABU` Deprecated. for removal.
    `STEP_COUNTING_HILL_CLIMBING`
    `UNDO_MOVE_TABU`
    `VALUE_TABU`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AcceptorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AcceptorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HILL_CLIMBING

          public static final AcceptorType HILL_CLIMBING

    - #### ENTITY_TABU

          public static final AcceptorType ENTITY_TABU

    - #### VALUE_TABU

          public static final AcceptorType VALUE_TABU

    - #### MOVE_TABU

          public static final AcceptorType MOVE_TABU

    - #### UNDO_MOVE_TABU

          public static final AcceptorType UNDO_MOVE_TABU

    - #### SOLUTION_TABU

          @Deprecated
          public static final AcceptorType SOLUTION_TABU

      Deprecated. for removal.

    - #### SIMULATED_ANNEALING

          public static final AcceptorType SIMULATED_ANNEALING

    - #### LATE_ACCEPTANCE

          public static final AcceptorType LATE_ACCEPTANCE

    - #### GREAT_DELUGE

          public static final AcceptorType GREAT_DELUGE

    - #### STEP_COUNTING_HILL_CLIMBING

          public static final AcceptorType STEP_COUNTING_HILL_CLIMBING

  - ### Method Detail

    - #### values

          public static AcceptorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AcceptorType c : AcceptorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AcceptorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.